#!/usr/bin/perl

# perl nameChange_ID_nameID.pl infile.fas

use strict;
use warnings;

my $inFile = $ARGV[0];
my $outFile = "Out_".$inFile;
my @inFileArray = ( );

open(INFILE,"$inFile");
@inFileArray = <INFILE>;
close INFILE;

open(OUT,">$outFile");
foreach my $inFileLine (@inFileArray) {
  chomp($inFileLine);
  if($inFileLine =~ /^>/){
#    $inFileLine =~ /^>(\w+)\s(.*?)/;
#    my $id = $1;
    my $id = $inFileLine;
    $id =~ s/ .*?$//g;
    $id =~ s/^>//g;
#    print "$id\n";
    if      ($id =~ /ENSOANP\d+/)     {print OUT ">Platypus_".$id."\n";    }
    elsif   ($id =~ /ENSMODP\d+/)     {print OUT ">Opossum_".$id."\n";    }
    elsif   ($id =~ /ENSMEUP\d+/)     {print OUT ">Wallaby_".$id."\n";    }
    elsif   ($id =~ /ENSETEP\d+/)     {print OUT ">Tenrec_".$id."\n";    }
    elsif   ($id =~ /ENSPCAP\d+/)     {print OUT ">RockHyrax_".$id."\n";    }
    elsif   ($id =~ /ENSLAFP\d+/)     {print OUT ">Elephant_".$id."\n";    }
    elsif   ($id =~ /ENSDNOP\d+/)     {print OUT ">Armadillo_".$id."\n";    }
    elsif   ($id =~ /ENSCHOP\d+/)     {print OUT ">Sloth_".$id."\n";    }
    elsif   ($id =~ /ENSEEUP\d+/)     {print OUT ">Hedgehog_".$id."\n";    }
    elsif   ($id =~ /ENSSARP\d+/)     {print OUT ">CommonShrew_".$id."\n";    }
    elsif   ($id =~ /ENSTTRP\d+/)     {print OUT ">Dolphin_".$id."\n";    }
    elsif   ($id =~ /ENSBTAP\d+/)     {print OUT ">Cow_".$id."\n";    }
    elsif   ($id =~ /ENSSSCP\d+/)     {print OUT ">Pig_".$id."\n";    }
    elsif   ($id =~ /ENSVPAP\d+/)     {print OUT ">Alpaca_".$id."\n";    }
    elsif   ($id =~ /ENSECAP\d+/)     {print OUT ">Horse_".$id."\n";    }
    elsif   ($id =~ /ENSCAFP\d+/)     {print OUT ">Dog_".$id."\n";    }
    elsif   ($id =~ /ENSFCAP\d+/)     {print OUT ">Cat_".$id."\n";    }
    elsif   ($id =~ /ENSPVAP\d+/)     {print OUT ">Megabat_".$id."\n";    }
    elsif   ($id =~ /ENSMLUP\d+/)     {print OUT ">Microbat_".$id."\n";    }
    elsif   ($id =~ /ENSOCUP\d+/)     {print OUT ">Rabbit_".$id."\n";    }
    elsif   ($id =~ /ENSOPRP\d+/)     {print OUT ">Pika_".$id."\n";    }
    elsif   ($id =~ /ENSSTOP\d+/)     {print OUT ">Squirrel_".$id."\n";    }
    elsif   ($id =~ /ENSCPOP\d+/)     {print OUT ">GuineaPig_".$id."\n";    }
    elsif   ($id =~ /ENSDORP\d+/)     {print OUT ">KangarooRat_".$id."\n";    }
    elsif   ($id =~ /ENSMUSP\d+/)     {print OUT ">Mouse_".$id."\n";    }
    elsif   ($id =~ /ENSRNOP\d+/)     {print OUT ">Rat_".$id."\n";    }
    elsif   ($id =~ /ENSTBEP\d+/)     {print OUT ">TreeShrew_".$id."\n";    }
    elsif   ($id =~ /ENSOGAP\d+/)     {print OUT ">Bushbaby_".$id."\n";    }
    elsif   ($id =~ /ENSMICP\d+/)     {print OUT ">MouseLemur_".$id."\n";    }
    elsif   ($id =~ /ENSTSYP\d+/)     {print OUT ">Tarsier_".$id."\n";    }
    elsif   ($id =~ /ENSCJAP\d+/)     {print OUT ">Marmoset_".$id."\n";    }
    elsif   ($id =~ /ENSMMUP\d+/)     {print OUT ">Rhesus_".$id."\n";    }
    elsif   ($id =~ /ENSPPYP\d+/)     {print OUT ">Orangutan_".$id."\n";    }
    elsif   ($id =~ /ENSGGOP\d+/)     {print OUT ">Gorilla_".$id."\n";    }
    elsif   ($id =~ /ENSPTRP\d+/)     {print OUT ">Chimp_".$id."\n";    }
    elsif   ($id =~ /ENSP\d+/)        {print OUT ">Human_".$id."\n";    }
    elsif   ($id =~ /ENSGALP\d+/)     {print OUT ">Chicken_".$id."\n";    }
    elsif   ($id =~ /ENSTGUP\d+/)     {print OUT ">ZebraFinch_".$id."\n";    }
    elsif   ($id =~ /ENSACAP\d+/)     {print OUT ">AnoleLizard_".$id."\n";    }
    elsif   ($id =~ /ENSXETP\d+/)     {print OUT ">Xenopus_".$id."\n";    }
    elsif   ($id =~ /ENSDARP\d+/)     {print OUT ">Zebrafish_".$id."\n";    }
    elsif   ($id =~ /ENSORLP\d+/)     {print OUT ">Medaka_".$id."\n";    }
    elsif   ($id =~ /ENSGACP\d+/)     {print OUT ">Stickleback_".$id."\n";    }
    elsif   ($id =~ /ENSTNIP\d+/)     {print OUT ">Tetraodon_".$id."\n";    }
    elsif   ($id =~ /ENSTRUP\d+/)     {print OUT ">Fugu_".$id."\n";    }
    elsif   ($id =~ /ENSCINP\d+/)     {print OUT ">SeaSquirt_".$id."\n";    }
    elsif   ($id =~ /ENSCSAVP\d+/)    {print OUT ">CionaSavignyi_".$id."\n";    }
    elsif   ($id =~ /FBpp\d+/)        {print OUT ">Drosophila_".$id."\n";    }
    else {
      print OUT "$inFileLine\n";    
    }

    } else {
      print OUT "$inFileLine\n";    
    }
}
close OUT;
exit;



